# Generated by Django 5.0.4 on 2024-05-09 10:27

from django.db import migrations

from shared.blocks import CalendarBlock


def add_calendar_block(apps, schema_editor):
    DistrictHomePage = apps.get_model("district", "DistrictHomePage")

    for home_page in DistrictHomePage.objects.all():
        if home_page.show_calendar_on_hp:
            home_page.content.append(
                (
                    "calendar_block",
                    CalendarBlock().to_python(
                        {
                            "title": "Kalendář",
                        }
                    ),
                )
            )

            home_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0195_alter_districtarticlepage_content"),
    ]

    operations = [
        # FIXME
        # migrations.RunPython(add_calendar_block),
        migrations.RemoveField(
            model_name="districthomepage",
            name="show_calendar_on_hp",
        ),
    ]
